Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

Servo

## read()

#### Description

Read the current angle of the servo (the value passed to the last call to write()).

#### Syntax

servo.read()

#### Parameters

servo: a variable of type Servo

#### Returns

The angle of the servo, from 0 to 180 degrees.

#### See also

- write()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes